CVE-2015-1420 file_handle size verification | Cloud Foundry

2015-07-10T00:00:00
ID CFOUNDRY:F8D3E57E228B2A2C80205C1B54F3649B
Type cloudfoundry
Reporter Cloud Foundry
Modified 2015-07-10T00:00:00

Description

CVE-2015-1420 file_handle size verification

Medium

Vendor

Ubuntu

Versions Affected

  • Ubuntu 14.04

Description

A race condition was discovered in the Linux kernel’s file_handle size verification. A local user could exploit this flaw to read potentially sensitive memory locations.

The Cloud Foundry project released a BOSH stemcell version 3012 that has the patched version of the Linux kernel.

Mitigation

Users of affected versions should apply the following mitigation:

  • The Cloud Foundry project recommends that Cloud Foundry Runtime Deployments run with BOSH stemcells 3012 or later when they are available, which contain the patched version of Linux kernel that resolves CVE-2015-1420.

Credit

No names were given in announcement

References

  • <https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-1420>
  • <https://bosh.io/>
  • <https://github.com/cloudfoundry/cf-release>